import { CREATE_IDENTIFICATION_PENDING, CREATE_IDENTIFICATION_SUCCESS, CREATE_IDENTIFICATION_ERROR, CREATE_IDENTIFICATION_RESET } from "../types/IdentificationType";

const initialState = {
     loading: false,
     result: null,
     error: null
};

export default (state = initialState, action) => {
     switch (action.type) {
          case CREATE_IDENTIFICATION_PENDING: return {
               ...state,
               loading: true
          }
          case CREATE_IDENTIFICATION_SUCCESS: return {
               ...state,
               loading: false,
               result: action.result.data,
               error: null
          }
          case CREATE_IDENTIFICATION_ERROR: return {
               ...state,
               loading: false,
               result: null,
               error: action.result
          }
          case CREATE_IDENTIFICATION_RESET: return initialState;

          default: {
               return state;
          }
     }
};
